#include <bits/stdc++.h>
using namespace std;
int r[200007];
int c[200007];
int main()
{
    int res=0;
    int n,x,y;
    cin>>n;
    for(int i=0;i<n;++i)
    {
        cin>>x>>y;
        ++r[x];
        ++c[y];
    }
    int z=1;
    while(r[z]!=0)++z;
    if(z<n)
    for(int i=1;i<=n;++i)
    {
        for(int j=1;j<r[i];++j)
        {
            res+=abs(i-z);
            ++z;
            while(r[z]!=0)++z;
        }
    }
    z=1;
    while(c[z]!=0)++z;
    if(z<n)
    for(int i=1;i<=n;++i)
    {
        for(int j=1;j<c[i];++j)
        {
            res+=abs(i-z);
            ++z;
            while(c[z]!=0)++z;
        }
    }

    cout<<res;
}